%% -(-X) = X
tff(a1, axiom, ( ! [X:$int] : $uminus($uminus(X)) = X), lemma).

%% (X+(-Y))+Y = X
tff(a1, axiom, ( ! [X:$int, Y:$int] : $sum($sum(X,$uminus(Y)),Y)  = X), lemma).

%% X+0 = X
tff(a1, axiom, ( ! [X:$int] : $sum(X,0) = X), lemma).

%% 0+X = X
tff(a1, axiom, ( ! [X:$int] : $sum(0,X) = X), lemma).

%% 0*X = 0
tff(a1, axiom, ( ! [X:$int] : $product(0,X) = 0), lemma).

%% X*0 = 0
tff(a1, axiom, ( ! [X:$int] : $product(X,0) = 0), lemma).

%% X*1 = X
tff(a1, axiom, ( ! [X:$int] : $product(X,1) = X), lemma).

%% 1*X = X
tff(a1, axiom, ( ! [X:$int] : $product(1,X) = X), lemma).

%% not X < X
tff(a1, axiom, ( ! [X:$int] : ~$less(X,X)), lemma).

%% X < X+1
tff(a1, axiom, ( ! [X:$int] : $less(X,$sum(X,1))), lemma).

%% X < Y or Y < X or X = Y
tff(a1, axiom, ( ! [X:$int, Y:$int] : ($less(X,Y) | $less(Y,X) | X=Y)), lemma).

%% X+(-X) = 0
tff(a1, axiom, ( ! [X:$int] : $sum(X,$uminus(X)) = 0), lemma).

%% (-X)+X = 0
tff(a1, axiom, ( ! [X:$int] : $sum($uminus(X),X) = 0), lemma).

%% not X < Y or not Y < Z or X < Z
%tff(a1, axiom, ( ! [X:$int, Y:$int, Z:$int] : (~$lesseq(X,Y) | ~$lesseq(Y,Z) | $lesseq(X,Z))), lemma).
%tff(a1, axiom, ( ! [X:$int, Y:$int, Z:$int] : (~$less(X,Y) | ~$lesseq(Y,Z) | $less(X,Z))), lemma).
%tff(a1, axiom, ( ! [X:$int, Y:$int, Z:$int] : (~$lesseq(X,Y) | ~$less(Y,Z) | $less(X,Z))), lemma).
tff(a1, axiom, ( ! [X:$int, Y:$int, Z:$int] : (~$less(X,Y) | ~$less(Y,Z) | $less(X,Z))), lemma).
