%% -(-X) = X
tff(a1, axiom, ( ! [X:$int] : $uminus($uminus(X)) = X), lemma).

%% (X+(-Y))+Y = X
tff(a1, axiom, ( ! [X:$int, Y:$int] : $sum($sum(X,$uminus(Y)),Y)  = X), lemma).

%% X+0 = X
tff(a1, axiom, ( ! [X:$int] : $sum(X,0) = X), lemma).

%% 0+X = X
tff(a1, axiom, ( ! [X:$int] : $sum(0,X) = X), lemma).

%% 0*X = 0
tff(a1, axiom, ( ! [X:$int] : $product(0,X) = 0), lemma).

%% X*0 = 0
tff(a1, axiom, ( ! [X:$int] : $product(X,0) = 0), lemma).

%% X*1 = X
tff(a1, axiom, ( ! [X:$int] : $product(X,1) = X), lemma).

%% 1*X = X
tff(a1, axiom, ( ! [X:$int] : $product(1,X) = X), lemma).

%% not X < X
tff(a1, axiom, ( ! [X:$int] : ~$less(X,X)), lemma).

%% X < X+1
tff(a1, axiom, ( ! [X:$int] : $less(X,$sum(X,1))), lemma).

%% X < Y or Y < X or X = Y
tff(a1, axiom, ( ! [X:$int, Y:$int] : ($less(X,Y) | $less(Y,X) | X=Y)), lemma).

%% X+(-X) = 0
tff(a1, axiom, ( ! [X:$int] : $sum(X,$uminus(X)) = 0), lemma).

%% (-X)+X = 0
tff(a1, axiom, ( ! [X:$int] : $sum($uminus(X),X) = 0), lemma).

%% tff(a, axiom, ( ! [U:$int, V:$int] : $sum(U,$sum($uminus(U),V)) = V), lemma).

%% tff(a, axiom, ( ! [U:$int, V:$int, W:$int] : ($lesseq(U,V) | $less($sum(W,V), $sum(W,U)))), lemma).

